bb_chwe = {};

function bb_chwe.prerequisitesPresent(specializations)
    return true;
end;

function bb_chwe:load(xmlFile)
    self.changeSteer = SpecializationUtil.callSpecializationsFunction("changeSteer");
	self.changeWheel =0;
	--self.changeDir = 1;
	self.accDirection = 1;
	self.cruiseControl = false;
	self.speedLevel = 3;
	self.reverse = false;
end;

function bb_chwe:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)  
   if not resetVehicles then
       self.changeWheel = Utils.getNoNil(getXMLFloat(xmlFile, key.."#steer"),0);
end;
    return BaseMission.VEHICLE_LOAD_OK;
end;

function bb_chwe:getSaveAttributesAndNodes(nodeIdent)
   --local attributes = ' steer="'..tonumber(self.changeWheel)..'"';
   --return attributes, nil;
end;

function bb_chwe:mouseEvent(posX, posY, isDown, isUp, button)
end;

function bb_chwe:keyEvent(unicode, sym, modifier, isDown)
end;

function bb_chwe:update(dt)
--if InputBinding.hasEvent(InputBinding.direction) then self.changeDir = self.changeDir*-1;
--end; 
if self.isMotorStarted and self:getIsActiveForInput() and self.isEntered and InputBinding.hasEvent(InputBinding.bb_front_steer) then self.changeWheel = self:changeSteer(18, -18, 35, 18, -18, 35, 0, 0, 0, 0, 0, 0)
end;
if self.isMotorStarted and self:getIsActiveForInput() and self.isEntered and InputBinding.hasEvent(InputBinding.bb_rear_steer) then self.changeWheel = self:changeSteer(0, 0, 0, 0, 0, 0, 18, -18, -35, 18, -18, -35)
end;
if self.isMotorStarted and self:getIsActiveForInput() and self.isEntered and InputBinding.hasEvent(InputBinding.bb_all_steer) then self.changeWheel = self:changeSteer(18, -18, 35, 18, -18, 35, 18, -18, -35, 18, -18, -35)
end;
if self.isMotorStarted and self:getIsActiveForInput() and self.isEntered and InputBinding.hasEvent(InputBinding.bb_crab_1) then self.changeWheel = self:changeSteer(72, 9, 80, 72, 9, 80, 72, 9, -80, 72, 9, -80)
end;
--if InputBinding.hasEvent(InputBinding.crab_2) then self.changeWheel = self:changeSteer(18, -18, 35, 18, -18, 35, 18, -18, 35, 18, -18, 35)
--end;
		
	        if InputBinding.hasEvent(InputBinding.REVERSE) then
		        self.accDirection = -self.accDirection;
            end;

			
		    -- Update wheels
            if self.steeringEnabled then		
                if self.firstTimeRun then
                    WheelsUtil.updateWheelsPhysics(self, dt, self.lastSpeed, acceleration, false, self.requiredDriveMode)
                end;	
           end;		
end;		

function bb_chwe:draw()
--    g_currentMission:addHelpButtonText(g_i18n:getText("REVERSE"), InputBinding.REVERSE); 
end;


function bb_chwe:changeSteer(wheel1min,wheel1max, wheel1speed, wheel2min, wheel2max,wheel2speed, wheel3min, wheel3max,wheel3speed, wheel4min, wheel4max, wheel4speed)
    self.wheels[1].rotMax = Utils.degToRad(wheel1min);
    self.wheels[2].rotMax = Utils.degToRad(wheel2min);
    self.wheels[1].rotMin = Utils.degToRad(wheel1max);
    self.wheels[2].rotMin = Utils.degToRad(wheel2max);   
    self.wheels[3].rotMax = Utils.degToRad(wheel3min);
    self.wheels[4].rotMax = Utils.degToRad(wheel4min);
    self.wheels[3].rotMin = Utils.degToRad(wheel3max);
    self.wheels[4].rotMin = Utils.degToRad(wheel4max);  
    self.wheels[1].rotSpeed = Utils.degToRad(wheel1speed)*self.accDirection; 
	self.wheels[2].rotSpeed = Utils.degToRad(wheel2speed)*self.accDirection;
    self.wheels[3].rotSpeed = Utils.degToRad(wheel3speed)*self.accDirection; 
    self.wheels[4].rotSpeed = Utils.degToRad(wheel4speed)*self.accDirection;       
end;

function bb_chwe:delete()
end;