bf_workLights = {};

function bf_workLights.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function bf_workLights:load(xmlFile)
	local numWorkLights = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.workLights#count"), 0);
    self.workLights = {};
    for i=1, numWorkLights do
        local worklightnamei = string.format("vehicle.workLights.workLight%d", i);
        self.workLights[i] = Utils.indexToObject(self.components, getXMLString(xmlFile, worklightnamei .. "#index"));
        setVisibility(self.workLights[i], false);
    end;
	--self.workLightsActive = false;
	bf_valaszto1 = 0;
	bf_valaszto2 = 0;
	
end;

function bf_workLights:delete()
	--for k, worklight in pairs(self.workLights) do
		--setVisibility(worklight, false);
	--end;
	--self.workLightsActive = false;
end;

function bf_workLights:mouseEvent(posX, posY, isDown, isUp, button)
end;

function bf_workLights:keyEvent(unicode, sym, modifier, isDown)
end;

function bf_workLights:update(dt)
	
	if self.isEntered and InputBinding.hasEvent(InputBinding.bf_MunkafenyElol) then
	bf_valaszto1 = bf_valaszto1 + 1;
	end;
		
	if bf_valaszto1 == 1 then
	setVisibility(self.workLights[1], true)
	else setVisibility(self.workLights[1], false);
	end;
	
	if bf_valaszto1 == 2 then
	bf_valaszto1 = 0;
	end;
	
	if self.isEntered and InputBinding.hasEvent(InputBinding.bf_MunkafenyHatul) then
	bf_valaszto2 = bf_valaszto2 + 1;
	end;

	if bf_valaszto2 == 1 then
	setVisibility(self.workLights[2], true)
	else setVisibility(self.workLights[2], false);
	end;
	
	if bf_valaszto2 == 2 then
	bf_valaszto2 = 0;
	end;
	
end;

function bf_workLights:onLeave()
	--for k, worklight in pairs(self.workLights) do
		--setVisibility(worklight, false);
	--end;
	--self.workLightsActive = false;
end;

function bf_workLights:draw()
end;

